using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Dat;

[ComImport]
[Guid("6FA05FDA-B4B5-4386-AB45-92D7E6A5D698")]
[SuppressUnmanagedCodeSecurity]
[ClassInterface(ClassInterfaceType.None)]
public class DatLibraryClass : IDatLibrary, DatLibrary
{
	[DispId(1)]
	public virtual extern object Stream
	{
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		[DispId(1)]
		[return: MarshalAs(UnmanagedType.IUnknown)]
		get;
	}

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(2)]
	[return: MarshalAs(UnmanagedType.IUnknown)]
	public virtual extern object Open([MarshalAs(UnmanagedType.BStr)] string Protocol, uint File);
}
